#!/usr/bin/python
# -*- coding: utf-8 -*-
 

 
import smtplib
import os

def email_ip():

    #SCRIP PARA OBTENCION DE LA DIRECCION IP
    f = os.popen('ifconfig wlan0 | grep "inet\ addr" | cut -d: -f2 | cut -d" " -f1')
    direccion_ip=f.read()
    direccion_ip = direccion_ip+"escribir despues de la ip esto (incluido los dos puntos) :5901. \nY el password: airvant"

    #SCRIP PARA EL ENVIO DEL CORREO ELECTRONICO
    fromaddr = 'operativa.airvant@gmail.com'
    toaddrs  = 'operativa.airvant@gmail.com'
    msg = 'Direccion ip %s' %direccion_ip
     
     
    # Datos
    username = 'operativa.airvant@gmail.com'
    password = 'airvant.1'
     
    # Enviando el correo
    server = smtplib.SMTP('smtp.gmail.com:587')
    server.starttls()
    server.login(username,password)
    server.sendmail(fromaddr, toaddrs, msg)
    server.quit()

email_ip()
